
namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 部门表
    /// </summary>
    [SugarTable("Sys_Department")]
    public class Sys_Department: EntityBase
    {
        /// <summary>
        /// 公司Id
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int CompanyId { get; set; }
        /// <summary>
        /// 部门code
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string DepCode { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string DepName { get; set; }
        /// <summary>
        /// 父级部门Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int ParentDepId { get; set; }


    }
}
